## com.baidubce.services.media.model
Class DeleteWaterMarkRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.DeleteWaterMarkRequest

    public class DeleteWaterMarkRequest

extends AbstractBceRequest

Constructor Summary
`DeleteWaterMarkRequest()`

Method Summary
`String` `getWatermarkId()`
`void` `setWatermarkId(String watermarkId)`
`String` `toString()`
`AbstractBceRequest` `withRequestCredentials(BceCredentials credentials)`
`DeleteWaterMarkRequest` `withWatermarkId(String watermarkId)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteWaterMarkRequest

    public DeleteWaterMarkRequest()

Method Detail

### getWatermarkId

    public String getWatermarkId()

### setWatermarkId

    public void setWatermarkId(String watermarkId)

### withWatermarkId

    public DeleteWaterMarkRequest withWatermarkId(String watermarkId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### withRequestCredentials

    public AbstractBceRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.